#ifndef __ExampleExtensionID_h__
#define __ExampleExtensionID_h__

#include "SDKDef.h"
#include "BuildNumber.h"
#ifdef kFiredrakeVersionNumber

#define kINDESIGN_VERSION 4

#elif defined(kDragontailVersionNumber)

#define kINDESIGN_VERSION 3
#define kVersionNumberForResourceStr 3

#else

#error Unexpected ID version

#endif

// Company:
#define kExampleExtensionCompanyKey            "Rorohiko"                          // Company name used internally for menu paths and the like. Must be globally unique, only A-Z, 0-9, space and "_".
#define kExampleExtensionCompanyValue          "Rorohiko Ltd."                     // Company name displayed externally.
#define kExampleExtensionWebsite               "http://www.rorohiko.com"
#define kExampleExtensionCopyright             "(c) 2006 Rorohiko Ltd."

// Plug-in:
#define kExampleExtensionPluginName            "ExampleExtension"                  // Name of this plug-in.
#define kExampleExtensionPrefixNumber          0x48100                             // Unique prefix number for this plug-in(*Must* be obtained from Adobe Developer Support).
#define kExampleExtensionVersion               "1.0"                               // Version of this plug-in (for the About Box).
#define kExampleExtensionAuthor                "Kris Coppieters - Rorohiko Ltd."   // Author of this plug-in (for the About Box).

// kExampleExtensionMajorVersionNumberForResource*100 + kExampleExtensionDotVersionNumberForResource
// should be kExampleExtensionMinorVersionNumber
#define kExampleExtensionMajorVersionNumber    1
#define kExampleExtensionMinorVersionNumber    0 // 3 digits - up to 999. Don't put a leading zero!

#define kExampleExtensionMajorVersionNumberForResource 1
#define kExampleExtensionMinorVersionNumberForResource 0
#define kExampleExtensionDotVersionNumberForResource   0 // 2 digits - up to 99
#define kExampleExtensionBuildNumber                   1

// Plug-in Prefix
#define kExampleExtensionPrefix                RezLong(kExampleExtensionPrefixNumber) // The unique numeric prefix for all object model IDs for this plug-in.
#define kExampleExtensionStringPrefix          SDK_DEF_STRINGIZE(kExampleExtensionPrefixNumber) // The string equivalent of the unique prefix number for  this plug-in.

#define kExampleExtensionInitialMajorFormat    RezLong(5)
#define kExampleExtensionInitialMinorFormat    RezLong(1)

// Data format version numbers for the PluginVersion resource 
#define kExampleExtensionLastMajorFormatChange  kExampleExtensionInitialMajorFormat    // Most recent major format change
#define kExampleExtensionLastMinorFormatChange  kExampleExtensionInitialMinorFormat    // Most recent minor format change

// PluginID
DECLARE_PMID(kPlugInIDSpace,         kExampleExtensionPluginID,          kExampleExtensionPrefix + 0)

// InterfaceIDs:
// None in this plug-in.

// Implementation IDs:
DECLARE_PMID(kImplementationIDSpace, kExampleExtensionImpl,              kExampleExtensionPrefix + 0)

#endif // __ExampleExtensionID_h__


